//
//  FAQAdEvent.swift
//  Pods
//
//  Created by Jin on 10/23/24.
//

import Foundation

// 通知
class FAQAdEvent {
    // 广告 id
    var adId: String
    // 操作
    var action: String

    // 初始化方法 - 构造广告事件
    init(adId: String, action: String) {
        self.adId = adId
        self.action = action
    }

    // 转换为 Map 操作
    func toMap() -> [String: Any] {
        return ["adId": adId, "action": action]
    }
}
